Home//
REST API Reference
/- List content import sources
Create a content import source
Delete a content import source
Retrieve a content import source
Update a content import source
List external pages
Create an external page (or update an external page by external ID)
Delete an external page
Retrieve an external page
Update an external page
Content Import Source
Content Import Sources
External Page
External Pages
List content import sourc...
You can retrieve a list of all content import sources for a workspace.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.13"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.13
- The production API serverhttps://api.intercom.io/ai/content_import_sources
- The european API serverhttps://api.eu.intercom.io/ai/content_import_sources
- The australian API serverhttps://api.au.intercom.io/ai/content_import_sources
curl -i -X GET \
https://api.intercom.io/ai/content_import_sources \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.13'successful
pagesobject(Pagination Object)
The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.
Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.
dataArray of objects(Content Import Source)
An array of Content Import Source objects
Response
{ "data": [ { … }, { … }, { … } ], "pages": { "type": "pages", "page": 1, "per_page": 50, "total_pages": 1 }, "total_count": 3, "type": "list" }